---
title: IOCardConfig
---

# <a id="TecnoPack_IOCardConfig"></a> Class IOCardConfig

Namespace: [TecnoPack](TecnoPack.md)  
Assembly: CO0002\_Templ\_FlowpackHMI\_V00\_9\_3.dll  

Rappresenta la configurazione delle schede IO (Input/Output) del sistema.
Include la mappatura delle schede IO normali e di sicurezza.

```csharp
public class IOCardConfig
```

#### Inheritance

[object](https://learn.microsoft.com/dotnet/api/system.object) ← 
[IOCardConfig](TecnoPack.IOCardConfig.md)

#### Inherited Members

[object.GetType\(\)](https://learn.microsoft.com/dotnet/api/system.object.gettype), 
[object.MemberwiseClone\(\)](https://learn.microsoft.com/dotnet/api/system.object.memberwiseclone), 
[object.ToString\(\)](https://learn.microsoft.com/dotnet/api/system.object.tostring), 
[object.Equals\(object?\)](https://learn.microsoft.com/dotnet/api/system.object.equals\#system\-object\-equals\(system\-object\)), 
[object.Equals\(object?, object?\)](https://learn.microsoft.com/dotnet/api/system.object.equals\#system\-object\-equals\(system\-object\-system\-object\)), 
[object.ReferenceEquals\(object?, object?\)](https://learn.microsoft.com/dotnet/api/system.object.referenceequals), 
[object.GetHashCode\(\)](https://learn.microsoft.com/dotnet/api/system.object.gethashcode)

## Remarks

Le chiavi dei dizionari rappresentano identificativi univoci delle schede.
Ogni voce contiene la definizione completa di una scheda.

## Constructors

### <a id="TecnoPack_IOCardConfig__ctor"></a> IOCardConfig\(\)

```csharp
public IOCardConfig()
```

## Properties

### <a id="TecnoPack_IOCardConfig_NormalIoCards"></a> NormalIoCards

Dizionario contenente le definizioni delle schede IO normali, indicizzate per identificatore.

```csharp
public Dictionary<string, NormalIOCardDefinition> NormalIoCards { get; set; }
```

#### Property Value

 [Dictionary](https://learn.microsoft.com/dotnet/api/system.collections.generic.dictionary\-2)
 <
 [string](https://learn.microsoft.com/dotnet/api/system.string), 
 [NormalIOCardDefinition](TecnoPack.NormalIOCardDefinition.md)
 \>

### <a id="TecnoPack_IOCardConfig_SafetyIoCards"></a> SafetyIoCards

Dizionario contenente le definizioni delle schede IO di sicurezza, indicizzate per identificatore.

```csharp
public Dictionary<string, SafetyIOCardDefinition> SafetyIoCards { get; set; }
```

#### Property Value

 [Dictionary](https://learn.microsoft.com/dotnet/api/system.collections.generic.dictionary\-2)
 <
 [string](https://learn.microsoft.com/dotnet/api/system.string),
 [SafetyIOCardDefinition](TecnoPack.SafetyIOCardDefinition.md)
 \>

